#include <bits/stdc++.h>
using namespace std;


int main()
{
    int cvorovi,g1,g2,slovo1=0,slovo2=0,slovo3=0;
    char m;
    cin>>cvorovi;
    for(int i=0; i<cvorovi-1; i++){
        cin>>g1>>g2>>m;
        if(m=='S'){
            slovo1++;
        }
        if(m=='I'){
            slovo2++;
        }
        if(m=='O'){
            slovo3++;
        }
    }
 if(slovo1>=slovo2 && slovo1>=slovo1){
    cout<<slovo1;
 }
  if(slovo3>slovo2 && slovo3>slovo1){
    cout<<slovo3;
 }
  if(slovo2>slovo3 && slovo2>slovo3){
    cout<<slovo2;
 }
}